Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78713 - grubby replaces grub.conf symlink with file?
Summary: grubby replaces grub.conf symlink with file?
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: mkinitrd
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-28 04:30 UTC by Jonathan Kamens
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-14 21:15:55 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 2002-11-28 04:30:12 UTC
At some point in the past when I installed grub, /boot/grub/menu.lst was created
as a regular file and /boot/grub/grub.conf was created as a symlink to it.

Recently, when I installed a new Red Hat kernel when mkinitrd-3.4.32-1 was
installed, grub.conf was changed from a symlink to a regular file, different
from menu.lst.  As a result, I kept editing menu.lst and couldn't understand why
my changes weren't having any effect.

I think the tools which edit grub.conf need to understand that it may be a
symbolic link and, if it is, preserve that link and edit the file to which it
points.

Comment 1 Erik Troan 2003-01-14 21:15:55 UTC
agreed -- this will be in mkinitrd > 3.4.34


Note You need to log in before you can comment on or make changes to this bug.